package com.yeejoin.amos.iec104.business.entity.mybatis;

import java.util.Date;

public class RecData {
	private int commonAddress;
	private int informationAddress;
	private String value;
	private int DataType;
	private Date createdTime;
	private Date occurTime;
	private String quality;
	private int soe;
	private long equitpmentPointId;
	private String equitpmentPointName;
	private long equitmentId;
	private String equitmentName;
	private String pointUnit;
	private int isBlocked;
	private int isSubstituted;
	private int isNotTopical;
	private int isInvalid;
	private int isOverflow;
	private String type;
	
	private String serverId;
	
	private String pointCode;
	public RecData() {};
	
	public RecData(String serverId) {
		this.serverId = serverId;
	}
	
	
	public String getPointCode() {
		return pointCode;
	}

	public void setPointCode(String pointCode) {
		this.pointCode = pointCode;
	}

	public String getServerId() {
		return serverId;
	}
	public void setServerId(String serverId) {
		this.serverId = serverId;
	}
	public int getCommonAddress() {
		return commonAddress;
	}
	public void setCommonAddress(int commonAddress) {
		this.commonAddress = commonAddress;
	}
	public int getInformationAddress() {
		return informationAddress;
	}
	public void setInformationAddress(int informationAddress) {
		this.informationAddress = informationAddress;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}
	public int getDataType() {
		return DataType;
	}
	public void setDataType(int dataType) {
		DataType = dataType;
	}
	public Date getCreatedTime() {
		return createdTime;
	}
	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}
	public Date getOccurTime() {
		return occurTime;
	}
	public void setOccurTime(Date occurTime) {
		this.occurTime = occurTime;
	}
	public String getQuality() {
		return quality;
	}
	public void setQuality(String quality) {
		this.quality = quality;
	}
	
	public int getSoe() {
		return soe;
	}
	public void setSoe(int soe) {
		this.soe = soe;
	}
	public long getEquitpmentPointId() {
		return equitpmentPointId;
	}
	public void setEquitpmentPointId(long equitpmentPointId) {
		this.equitpmentPointId = equitpmentPointId;
	}
	public String getEquitpmentPointName() {
		return equitpmentPointName;
	}
	public void setEquitpmentPointName(String equitpmentPointName) {
		this.equitpmentPointName = equitpmentPointName;
	}
	public long getEquitmentId() {
		return equitmentId;
	}
	public void setEquitmentId(long equitmentId) {
		this.equitmentId = equitmentId;
	}
	public int getIsBlocked() {
		return isBlocked;
	}
	public void setIsBlocked(int isBlocked) {
		this.isBlocked = isBlocked;
	}
	public int getIsSubstituted() {
		return isSubstituted;
	}
	public void setIsSubstituted(int isSubstituted) {
		this.isSubstituted = isSubstituted;
	}
	public int getIsNotTopical() {
		return isNotTopical;
	}
	public void setIsNotTopical(int isNotTopical) {
		this.isNotTopical = isNotTopical;
	}
	public int getIsInvalid() {
		return isInvalid;
	}
	public void setIsInvalid(int isInvalid) {
		this.isInvalid = isInvalid;
	}
	public int getIsOverflow() {
		return isOverflow;
	}
	public void setIsOverflow(int isOverflow) {
		this.isOverflow = isOverflow;
	}
	public String getPointUnit() {
		return pointUnit;
	}
	public void setPointUnit(String pointUnit) {
		this.pointUnit = pointUnit;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	@Override
	public String toString() {
		return "RecData [commonAddress=" + commonAddress + ", informationAddress=" + informationAddress + ", value="
				+ value + ", DataType=" + DataType + ", createdTime=" + createdTime + ", occurTime=" + occurTime
				+ ", quality=" + quality + ", soe=" + soe + ", equitpmentPointId=" + equitpmentPointId
				+ ", equitpmentPointName=" + equitpmentPointName + ", equitmentId=" + equitmentId + ", pointUnit="
				+ pointUnit + ", isBlocked=" + isBlocked + ", isSubstituted=" + isSubstituted + ", isNotTopical="
				+ isNotTopical + ", isInvalid=" + isInvalid + ", isOverflow=" + isOverflow + ", type=" + type + "]";
	}
	public String getEquitmentName() {
		return equitmentName;
	}
	public void setEquitmentName(String equitmentName) {
		this.equitmentName = equitmentName;
	}
	
}
